package com.yd.csf.api.service;

import com.yd.common.result.Result;
import com.yd.csf.feign.dto.appointment.ApiSecondHolderInfoDto;
import com.yd.csf.service.model.SecondHolder;

public interface ApiSecondHolderService {

    Result<ApiSecondHolderInfoDto> detail(String appointmentBizId, String secondHolderBizId);

    Result edit(ApiSecondHolderInfoDto apiSecondHolderInfoDto);

    Result<SecondHolder> addSecondHolderData(ApiSecondHolderInfoDto dto, String appointmentBizId);

    Result<SecondHolder> editSecondHolderData(ApiSecondHolderInfoDto dto, String appointmentBizId);
}
